Package javax.mail.event

# Interface MessageChangedListener

All Superinterfaces:
  `EventListener`

public interface MessageChangedListener extends EventListener
This is the Listener interface for MessageChanged events

Author:
  John Mani

## Method Summary

Modifier and Type
Method
Description
`void`
`messageChanged(MessageChangedEvent e)`
Invoked when a message is changed.

## Method Details

### messageChanged

void messageChanged(MessageChangedEvent e)
Invoked when a message is changed. The change-type specifies what changed.

Parameters:
  `e` - the MessageChangedEvent
See Also:
  - `MessageChangedEvent.FLAGS_CHANGED`
  - `MessageChangedEvent.ENVELOPE_CHANGED`